Loading...
Searching...
No Matches
BALL::MolecularDynamics::Default Struct Reference

`#include <BALL/MOLMEC/MDSIMULATION/molecularDynamics.h>`

## Static Public Attributes

static const Size | MAXIMAL_NUMBER_OF_ITERATIONS
static const double | MAXIMAL_SIMULATION_TIME
static const Size | NUMBER_OF_ITERATION
static const Size | ENERGY_OUTPUT_FREQUENCY
static const Size | SNAPSHOT_FREQUENCY
static const double | TIME_STEP
static const double | REFERENCE_TEMPERATURE
static const double | BATH_RELAXATION_TIME
static const double | CURRENT_TIME

## Detailed Description

Definition at line 91 of file molecularDynamics.h.

## Member Data Documentation

## BATH_RELAXATION_TIME

const double BALL::MolecularDynamics::Default::BATH_RELAXATION_TIME

static

The parameter for heat bath coupling in picoseconds. Default = 0.2 ps

Definition at line 126 of file molecularDynamics.h.

## CURRENT_TIME

const double BALL::MolecularDynamics::Default::CURRENT_TIME

static

The current time of the simulation in picoseconds Useful when doing several successive MD runs on the system

Definition at line 131 of file molecularDynamics.h.

## ENERGY_OUTPUT_FREQUENCY

const Size BALL::MolecularDynamics::Default::ENERGY_OUTPUT_FREQUENCY

static

After how many iterations shall the current energy/temperature be calculated/saved.

Definition at line 110 of file molecularDynamics.h.

## MAXIMAL_NUMBER_OF_ITERATIONS

const Size BALL::MolecularDynamics::Default::MAXIMAL_NUMBER_OF_ITERATIONS

static

The maximal number of iterations to be simulated.

Definition at line 96 of file molecularDynamics.h.

## MAXIMAL_SIMULATION_TIME

const double BALL::MolecularDynamics::Default::MAXIMAL_SIMULATION_TIME

static

The maximal simulation time in ps(equivalent to MAXIMAL_NUMBER_OF_ITERATIONS )

Definition at line 101 of file molecularDynamics.h.

## NUMBER_OF_ITERATION

const Size BALL::MolecularDynamics::Default::NUMBER_OF_ITERATION

static

The current number of iteration

Definition at line 105 of file molecularDynamics.h.

## REFERENCE_TEMPERATURE

const double BALL::MolecularDynamics::Default::REFERENCE_TEMPERATURE

static

The reference temperature for the simulated system.

Definition at line 122 of file molecularDynamics.h.

## SNAPSHOT_FREQUENCY

const Size BALL::MolecularDynamics::Default::SNAPSHOT_FREQUENCY

static

After how many iterations shall the current positions/velocities be saved.

Definition at line 114 of file molecularDynamics.h.

## TIME_STEP

const double BALL::MolecularDynamics::Default::TIME_STEP

static

The size of the time step in picoseconds. Default 0.0005 ps

Definition at line 118 of file molecularDynamics.h.